For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs Menu

Retrieve All Feature Policies

Base URL: https://cloud.mongodb.com/api/public/v1.0

This resource requires any authenticated user or API Key.

GET /groups/availablePolicies

This endpoint doesn't use HTTP request path parameters.

The following query parameters are optional:

Name
Type
Description
Default

pageNum

integer

Page number (1-index based).

1

itemsPerPage

integer

Number of items to return per page, up to a maximum of 500.

100

pretty

boolean

Indicates whether to return the response body in a prettyprint format.

false

envelope

boolean

Indicates whether to wrap the response in an envelope.

Some API clients can't access the HTTP response headers or status code. To remediate this, set "envelope" : true in the query.

For endpoints that return one result, response body includes:

  • status: HTTP response code

  • content: Expected response body

For endpoints that return a list of results, the results object is an envelope. Cloud Manager adds the status field to the response body.

None

This endpoint doesn't use HTTP request body parameters.

Name
Type
Description

_id

string

Unique identifier of the Project that this policy applies to.

created

string

Timestamp in ISO 8601 date and time format in UTC when this feature control policy was created.

updated

string

Timestamp in ISO 8601 date and time format in UTC when this feature control policy was updated.

externalManagementSystem

object

Identifying parameters for the external system that manages this Cloud Manager Project.

externalManagementSystem
.name

string

Identifying label for the external system that manages this Cloud Manager Project.

externalManagementSystem
.systemId

string

Unique identifier of the external system that manages this Cloud Manager Project.

externalManagementSystem
.version

string

Active release of the external system that manages this Cloud Manager Project.

policies

array

List of policies that the external system applies to this Cloud Manager Project.

policies
.policy[n]

object

Single policy set for this Cloud Manager Project. This parameter can be set one or more times in the policies array.

Possible values are:

  • EXTERNALLY_MANAGED_LOCK: Users can't use Cloud Manager to manage other settings listed in the policies.policy[n] array. These same users may use a configured external system, such as the Kubernetes Operator to manage these settings.

  • DISABLE_USER_MANAGEMENT: Users can't manage users or roles.

  • DISABLE_AUTHENTICATION_MECHANISMS: Users can't change authentication settings.

  • DISABLE_SET_MONGOD_CONFIG: Users can't change any mongod settings listed in the policies[n].disabledParams array.

  • DISABLE_SET_MONGOD_VERSION: Users can't change the version of any mongod or mongos.

  • DISABLE_BACKUP_AGENT: Users can't enable or disable the Backup agent.

  • DISABLE_MONGOD_LOG_MANAGEMENT: Users can't change log management settings.

  • DISABLE_IMPORT_TO_AUTOMATION: Users can't manage deployments using Automation.

  • DISABLE_AGENT_API_KEY_MANAGEMENT: Users can't create or update Agent API keys.

  • DISABLE_MONGOD_HOST_MANAGEMENT: Users can't change the server type of hosts.

policies[n]
.disabledParams

array

List of mongod settings to disable if you apply the DISABLE_SET_MONGOD_CONFIG policy. Not all MongoDB options are available in Automation, which can result in failed import attempts. To learn more, see MongoDB Settings and Automation Support.

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Accept: application/json" \
--include \
--request GET "https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0/groups/availablePolicies?pretty=true"
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
1{
2 "_id": "{PROJECT-ID}",
3 "created": "2019-08-29T15:03:24Z",
4 "updated": "2019-08-29T15:03:24Z",
5 "externalManagementSystem":
6 {
7 "name": "Operator",
8 "systemId": "6d6c139ae5528707b6e8e3b2",
9 "version": "0.2.1"
10 },
11 "policies": [
12 {"policy": "ExternallyManagedLock"},
13 {"policy": "DisableUserManagement"},
14 {"policy": "DisableAuthenticationMechanisms"},
15 {"policy": "DisableSetMongodVersion"},
16 {
17 "policy": "DisableSetMongodConfig",
18 "disabledParams": ["net.tls.CAFile"]
19 }
20 ]
21}